List IdP app assignments that are in progress
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments/in-progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments/in-progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments/in-progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignments": [
{
"requestId": "bd01f221-8b4b-44d2-b836-e7b81923920a",
"email": "taro.yamada@example.com",
"displayName": "Yamada Taro",
"status": "processing",
"startedAt": "2026-06-25T07:30:05.000Z",
"appRoleId": "00000000-0000-0000-0000-000000000000",
"workspaceName": "GitHub (Engineering)",
"serviceName": "GitHub"
}
]
}Services
List IdP app assignments that are in progress
Returns the IdP app assignments for the workspace that have been initiated but not yet completed by the identity provider (pending/processing), covering the async SCIM/Graph sync window.
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
idp-app-assignments
/
in-progress
List IdP app assignments that are in progress
承認
レスポンス
Show child attributes
Show child attributes
最終更新日 2026年10月9日
このページは役に立ちましたか?

